using System.Windows;

namespace XLAB
{
    public partial class PrfrEditWindow : Window
    {
        internal PrfrEditWindow(PrfrEditWindowViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
            viewModel.CloseRequested += ViewModelOnCloseRequested;
        }

        private void ViewModelOnCloseRequested(object sender, bool? dialogResult)
        {
            DialogResult = dialogResult;
            Close();
        }
    }
}
